#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;

uniform vec4 u_left;
uniform vec4 u_right;
uniform vec4 u_rate;
uniform vec4 u_delta;
varying vec4 v_fragmentColor;

void main()
{
	vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
	if (textureColor.a >= u_left.a && textureColor.a <= u_right.a &&
		textureColor.r >= u_left.r && textureColor.r <= u_right.r &&
		textureColor.g >= u_left.g && textureColor.g <= u_right.g &&
		textureColor.b >= u_left.b && textureColor.b <= u_right.b)
	{
		gl_FragColor =  v_fragmentColor * (textureColor * u_rate + u_delta * textureColor.a);
	}
	else
	{
		gl_FragColor = textureColor * v_fragmentColor;
	}
}